commit: f8264b92f420ddd700c23706e13033db576a4d77
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 21 11:03:04 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 21 11:15:05 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8264b92
dev-python/phonenumbers: add 8.13.17
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/phonenumbers/Manifest | 1 +
.../phonenumbers/phonenumbers-8.13.17.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 03338ade619f..49ba67aa717e 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
DIST python-phonenumbers-8.13.15.gh.tar.gz 4912960 BLAKE2B
aef5c2524f2ae122bc0b3846fed94c5d8fad219eab72ba1838baca7ce3e839510b2601b967cfdd1c26e5200f05821ef7892f7445074a09c3dde150f5ab4a8c08
SHA512
688425ee6a62b132b865580bd7615235357963c51a49333bf400d01877728374173ff674c82535f67c86c0abb39acbb4373b4760116c3161b5bb633efc6a9f32
DIST python-phonenumbers-8.13.16.gh.tar.gz 4913171 BLAKE2B
07bf7c13669554baf6d6250e0e42ca070966d21ec61836d1ec99d5515a283d891ccdb8496c86d82e0c6f1fe1be227e523262f16e5fe0b1a08bfee13a146f6b66
SHA512
6f655621d9e0e3ac9c8b0972118c81104621e4bf45d541606a82f373e59b8a3bd519d93bfb15bb769c7ab04a0abefa1db3d6125bc59f425de49269fce611f176
+DIST python-phonenumbers-8.13.17.gh.tar.gz 4913309 BLAKE2B
fdebb1d3df0c397b02499dfe52dcd31c2e900e1b3f1dce1471e709054e2a2a77b77018e297df9706722731c9c740d0f880b042175f21bf84a6c0b37ba7d6b1fb
SHA512
37ed31bf8f01c9c18448deded86435ce76f2c07c30edcdc342a41937c2c173dbf2c3cbbfd3ce2e40023eaee72501421d2bb7c398847adafdbaea315528884131
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.17.ebuild
b/dev-python/phonenumbers/phonenumbers-8.13.17.ebuild
new file mode 100644
index 000000000000..61f15b7f6118
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.17.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+
https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}